/*
*
*  * Copyright (c) 2019. Honeywell International, Inc. All Rights Reserved.
*
*/

package com.honeywell.easytemplating.enums;

import javax.baja.nre.annotations.NiagaraEnum;
import javax.baja.nre.annotations.NiagaraType;
import javax.baja.nre.annotations.Range;
import javax.baja.sys.BFrozenEnum;
import javax.baja.sys.Sys;
import javax.baja.sys.Type;

@NiagaraType
@NiagaraEnum(
        range = {
                @Range("error"),
                @Range("success"),
                @Range("warning")
        }
)
public final class BEasyTemplatingToastEnum extends BFrozenEnum {
    /*+ ------------ BEGIN BAJA AUTO GENERATED CODE ------------ +*/
    /*@ $com.honeywell.easytemplating.enums.BEasyTemplatingToasterEnum(422597508)1.0$ @*/
    /* Generated Wed May 22 12:34:07 BST 2019 by Slot-o-Matic (c) Tridium, Inc. 2012 */

    /**
     * Ordinal value for error.
     */
    public static final int ERROR = 0;
    /**
     * Ordinal value for success.
     */
    public static final int SUCCESS = 1;
    /**
     * Ordinal value for warning.
     */
    public static final int WARNING = 2;

    /**
     * BEasyTemplatingToasterEnum constant for error.
     */
    public static final BEasyTemplatingToastEnum error = new BEasyTemplatingToastEnum(ERROR);
    /**
     * BEasyTemplatingToasterEnum constant for success.
     */
    public static final BEasyTemplatingToastEnum success = new BEasyTemplatingToastEnum(SUCCESS);
    /**
     * BEasyTemplatingToasterEnum constant for warning.
     */
    public static final BEasyTemplatingToastEnum warning = new BEasyTemplatingToastEnum(WARNING);

    /**
     * Factory method with ordinal.
     */
    public static BEasyTemplatingToastEnum make(int ordinal) {
        return (BEasyTemplatingToastEnum) error.getRange().get(ordinal, false);
    }

    /**
     * Factory method with tag.
     */
    public static BEasyTemplatingToastEnum make(String tag) {
        return (BEasyTemplatingToastEnum) error.getRange().get(tag);
    }

    /**
     * Private constructor.
     */
    private BEasyTemplatingToastEnum(int ordinal) {
        super(ordinal);
    }

    public static final BEasyTemplatingToastEnum DEFAULT = error;

////////////////////////////////////////////////////////////////
// Type
////////////////////////////////////////////////////////////////

    @Override
    public Type getType() {
        return TYPE;
    }

    public static final Type TYPE = Sys.loadType(BEasyTemplatingToastEnum.class);

    /*+ ------------ END BAJA AUTO GENERATED CODE -------------- +*/
}
