/*
*
*  * Copyright (c) 2019. Honeywell International, Inc. All Rights Reserved.
*
*/

package com.honeywell.easytemplating.util;

import com.honeywell.easytemplating.enums.BEasyTemplatingToastEnum;

import javax.baja.gx.BImage;
import javax.baja.nre.annotations.NiagaraType;
import javax.baja.sys.BInteger;
import javax.baja.sys.BString;
import javax.baja.sys.Sys;
import javax.baja.sys.Type;
import javax.baja.util.BNotification;

import static com.honeywell.easytemplating.util.EasyTemplatingConst.*;

@NiagaraType
public class BEasyTemplatingToast extends BNotification {
    /*+ ------------ BEGIN BAJA AUTO GENERATED CODE ------------ +*/
    /*@ $com.honeywell.easytemplating.util.BEasyTemplatingToast(2979906276)1.0$ @*/
    /* Generated Mon Apr 15 11:51:29 BST 2019 by Slot-o-Matic (c) Tridium, Inc. 2012 */

////////////////////////////////////////////////////////////////
// Type
////////////////////////////////////////////////////////////////

    @Override
    public Type getType() {
        return TYPE;
    }

    public static final Type TYPE = Sys.loadType(BEasyTemplatingToast.class);

    /*+ ------------ END BAJA AUTO GENERATED CODE -------------- +*/

    public BEasyTemplatingToast() {
        super();
    }

    public static void raise(BString title, BImage icon, BString message1, BString message2, BInteger timeout,
                             BEasyTemplatingToastEnum type) {
        BEasyTemplatingToast toast = new BEasyTemplatingToast();

        if (null != type) {
            toast.add(ET_TOAST_TYPE_KEY, type);
        }

        if (null != title) {
            toast.add(ET_TOAST_TITLE_KEY, title);
        }
        if (null != icon) {
            toast.add(ET_TOAST_ICON_KEY, icon);
        }
        if (null != message1) {
            toast.add(ET_TOAST_MESSAGE1_KEY, message1);
        }
        if (null != message2) {
            toast.add(ET_TOAST_MESSAGE2_KEY, message2);
        }
        if (null != timeout) {
            toast.add(ET_TOAST_TIMEOUT_MS_KEY, timeout);
        }
        toast.raise(true);
    }
}
